For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assign Special Code to Bill

Adisyona özel kod ataması yapılır.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
UUIDstring · uuid[] · nullableOptional
SpecialCodestring · nullableOptional
Responses
200

Adisyona özel kod ataması yapılır.

application/json
booleanOptional
put/Bills/SpecialCode
PUT /ebill/Bills/SpecialCode HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 70

{
  "UUID": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "SpecialCode": "text"
}
true
var options = new RestClientOptions("/ebill/Bills/SpecialCode")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Authorization", "APIKEY");
var body = @"";
request.AddParameter("text/plain", body,  ParameterType.RequestBody);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '/ebill/Bills/SpecialCode',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_HTTPHEADER => array(
    'Authorization: APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated